Jump to content


Photo
- - - - -

Upgrading from PL V 2.2.1 to V 2.3.8

upgrade

  • Please log in to reply
9 replies to this topic

#1 WebWerx

WebWerx

    Advocate

  • Members
  • 546 posts
  • LocationCanada
  • Framework Version:2.2
  • Country: Country Flag

Posted 15 January 2013 - 02:08 PM

I know.. I know... Why haven't I upgraded my Framework sooner? I guess because I didn't feel the need to.... That being said, are there any issue with doing a big jump like this? Or is it just a matter of backing up, clicking & praying?

 

BTW, I am on WP V3.4 (upgrading to 3.5 later this week).

 

Simon? Jenny? Catrina? Rob? Bueller?

 

 



#2 Jenny

Jenny

    Owned by PageLines

  • Unicorn Store Dev

  • 2917 posts
  • LocationWV
  • Country: Country Flag

Posted 15 January 2013 - 03:21 PM

haha.. that's quite a few updates!  Yikes.

 

The list of all the changes is

Please Login or Register to see this Hidden Content

. You can read through them all and decide.. or.. you can backup your database (use something like WP-DBManager plugin) and just do it. :) That way if anything goes wrong, you have a backup to revert to.

 

WP 3.5 had quite a few issues with plugins and other things so you may want to wait to update that until 3.5.1 is released.



#3 WebWerx

WebWerx

    Advocate

  • Members
  • 546 posts
  • LocationCanada
  • Framework Version:2.2
  • Country: Country Flag

Posted 15 January 2013 - 03:35 PM

Hey Jennie! I'll review the changes. Unfortunately, I have no choice regarding the upgrade as I am on WP Engine. They have advised me that "they will be doing the upgrade" in a few days. Hence me paying attention to this. The good thing is that their hosting allows one to do "snapshots". So I'll do one tonight and then attempt to upgrade PL. Worse case is that the PL upgrade breaks the site, and I have to revert back to my older version.

 

I am a bit worried about your comment regarding 3.5.0 having plugin issues. None with PL though?

 

Thanks for the help!

 

Les



#4 Jenny

Jenny

    Owned by PageLines

  • Unicorn Store Dev

  • 2917 posts
  • LocationWV
  • Country: Country Flag

Posted 15 January 2013 - 03:57 PM

I would definitely recommend updating PageLines before they do the WP upgrade - it'll make it easier for you to fix things in groups, if you need to.

 

With the PageLines updates, if you have any issues, the first thing I would do would be to resave Permalinks (WP -> settings -> permalinks) and to resave your PageLines settings (on any page, just pick one). Most likely though, you should be okay. The database backup is just a "don't freak out" backup and piece of mind. :)

 

I had no issues with WP 3.5 and PL. My issues were with a legacy theme (PlatformPro), which Simon has already fixed. *cheer*



#5 Jenny

Jenny

    Owned by PageLines

  • Unicorn Store Dev

  • 2917 posts
  • LocationWV
  • Country: Country Flag

Posted 15 January 2013 - 03:59 PM

Oh and regarding the plugins in WP 3.5 (sorry about that), I had 2 plugins that just no longer worked. WP got rid of some things, that plugin authors have been warned about for some time now, so apparently I was using a couple plugins from a lazy plugin author. ;) When 3.5 goes live on your site, if you get any PHP errors or notices, you can simply read through the error's file location and if you see a plugin named, deactivate it.



#6 WebWerx

WebWerx

    Advocate

  • Members
  • 546 posts
  • LocationCanada
  • Framework Version:2.2
  • Country: Country Flag

Posted 15 January 2013 - 04:00 PM

Great advice... Thanks Jenny! I am the overcautious type. So there will be backups up the ying yang!

 

It's a good time to get a kick in the behind regarding this upgrade.

 

:zoro:



#7 WebWerx

WebWerx

    Advocate

  • Members
  • 546 posts
  • LocationCanada
  • Framework Version:2.2
  • Country: Country Flag

Posted 15 January 2013 - 04:01 PM

Oh! Which plugins (exactly)?



#8 Jenny

Jenny

    Owned by PageLines

  • Unicorn Store Dev

  • 2917 posts
  • LocationWV
  • Country: Country Flag

Posted 15 January 2013 - 04:08 PM

haha yes, you should always update ASAP! :geek:

 

And I can't remember the plugins since I've deleted them but one was to feed RSS entries from one of my sites to another, with photos and such. Dunno why it stopped working but wasn't extremely important to me so I just deleted it.



#9 WebWerx

WebWerx

    Advocate

  • Members
  • 546 posts
  • LocationCanada
  • Framework Version:2.2
  • Country: Country Flag

Posted 15 January 2013 - 04:10 PM

Ya i know. I got spooked at the start when some people had issues with some upgrades. And then.. well... I "forgot". Ummm...   :zoro:

 

BTW is this Rob?:  :stuff:



#10 Jenny

Jenny

    Owned by PageLines

  • Unicorn Store Dev

  • 2917 posts
  • LocationWV
  • Country: Country Flag

Posted 15 January 2013 - 05:22 PM

haha!  And yes, it could be! ;)







Also tagged with one or more of these keywords: upgrade